<!-- This comment will put IE 6, 7 and 8 in quirks mode -->
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<title>m17n ライブラリ: フェース</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javaScript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css"/>
</head>
<body onload='searchBox.OnSelectItem(0);'>
<!-- 作成： Doxygen 1.6.3 -->
<script type="text/javascript"><!--
var searchBox = new SearchBox("searchBox", "search",false,'検索');
--></script>
<div class="navigation" id="top">
  <div class="tabs">
    <ul>
      <li><a href="index.html"><span>メインページ</span></a></li>
      <li><a href="pages.html"><span>関連ページ</span></a></li>
      <li><a href="modules.html"><span>モジュール</span></a></li>
      <li><a href="annotated.html"><span>データ構造</span></a></li>
      <li><a href="files.html"><span>ファイル</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <img id="MSearchSelect" src="search/search.png"
             onmouseover="return searchBox.OnSearchSelectShow()"
             onmouseout="return searchBox.OnSearchSelectHide()"
             alt=""/>
        <input type="text" id="MSearchField" value="検索" accesskey="S"
             onfocus="searchBox.OnSearchFieldFocus(true)" 
             onblur="searchBox.OnSearchFieldFocus(false)" 
             onkeyup="searchBox.OnSearchFieldChange(event)"/>
        <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
        </div>
      </li>
    </ul>
  </div>
</div>
<div class="contents">
<h1>フェース<br/>
<small>
[<a class="el" href="group__m17nGUI.html">GUI API</a>]</small>
</h1>
<p>フェースとは、M-text の見栄えを制御するオブジェクトである.  
<a href="#_details">[詳細]</a></p>
<table border="0" cellpadding="0" cellspacing="0">
<tr><td colspan="2"><h2>データ構造</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceHLineProp.html">MFaceHLineProp</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースの水平線指定用型宣言.  <a href="structMFaceHLineProp.html#_details">[詳細]</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="structMFaceBoxProp.html">MFaceBoxProp</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースの囲み枠指定用型宣言.  <a href="structMFaceBoxProp.html#_details">[詳細]</a><br/></td></tr>
<tr><td colspan="2"><h2>型定義</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef struct <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースの型宣言.  <a href="#gad9e913e845df8db71f448e3aca2b83b5"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef void(*&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> )(<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, void *arg, void *info)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのフック関数の型宣言.  <a href="#gac80758b8f49b50d0a828163524edf337"></a><br/></td></tr>
<tr><td colspan="2"><h2>関数</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e">mface</a> ()</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">新しいフェースをつくる.  <a href="#ga8733c479f4efa8f8d006c13ee4253f5e"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a">mface_copy</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのコピーを作る.  <a href="#ga218d370d5bc476d5a6fba4633ad69d0a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga112cbaf7a88f3557cd32797819c350e2">mface_equal</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face1, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face2)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98">mface_merge</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *dst, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *src)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースを統合する.  <a href="#ga53437ed4392e313491cdd7d2cbfd5d98"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3">mface_from_font</a> (<a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *font)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントからフェースを作る.  <a href="#gafe62e34ba63c1230ff9243f1bfb075a3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972">mface_get_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのプロパティの値を得る.  <a href="#gad2ef5c2ddbef0dfded0c572653c92972"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056">mface_get_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのフック関数を得る.  <a href="#ga7411a88b5acc10b19448e031991c9056"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34">mface_put_prop</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> key, void *val)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースプロパティの値を設定する.  <a href="#gab139e1dbaaba45a8d8d6acbdda076f34"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">int&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da">mface_put_hook</a> (<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> func)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースのフック関数を設定する.  <a href="#ga77281fe20f450bf635676ece8e8c83da"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3">mface_update</a> (<a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *frame, <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face)</td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースを更新する.  <a href="#ga38119a4121db3158b5ee4b4b803d03a3"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数: フェースプロパティのキー</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrpefc39e1c092997e56c7ba864f85f3b4a"></a> </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">Mforeground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">前景色を指定するフェースプロパティーのキー.  <a href="#ga524cecd96f1bdf2a46e52d2eb0acfa2f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca">Mbackground</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">背景色を指定するためのフェースプロパティーのキー.  <a href="#ga8d0f5054c5128d0369d8147cda7f53ca"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a">Mvideomode</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ビデオモードを指定するためのフェースプロパティーのキー.  <a href="#gae9e765bef0214640bf23843d1d813f5a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c">Mratio</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントのサイズの比率を指定するためのフェースプロパティーのキー.  <a href="#gafadda6b4709e04968e70e85a542f240c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543">Mhline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">水平線を指定するためのフェースプロパティーのキー.  <a href="#ga4b54f64d7e2b6c7cae17ba7041855543"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f">Mbox</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">囲み枠を指定するためのフェースプロパティーのキー.  <a href="#gaef4de28536a14fa67b45d4adc9c03d0f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">Mfontset</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フォントセットを指定するためのフェースプロパティーのキー.  <a href="#gaaacb68d5b559f01e985854bd375dda5f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227">Mhook_func</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フックを指定するためのフェースプロパティーのキー.  <a href="#ga2067c84250b6d4e3d2d1488b6f09f227"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684">Mhook_arg</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フックの引数を指定するためのフェースプロパティーのキー.  <a href="#ga7b90084ad168aaab28bb22b242a4c684"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数： フェースの #Mvideomode プロパティの可能な値</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp6e170ad6e45f1e8fd3041235733375bc"></a> 変数 <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="ビデオモードを指定するためのフェースプロパティーのキー...">Mvideomode</a> の説明を参照のこと。 </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac640438a418e8fea7bb85acaf72439c2">Mnormal</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga243e73adf0d31fe7497262c5b8a19c16">Mreverse</a></td></tr>
<tr><td colspan="2"><h2>変数: 定義済みフェース</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrpfa942d28a190883dd0f6a0f027c4dc62"></a> </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">mface_normal_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">標準ビデオフェース.  <a href="#ga823bc052a591dc3f34369d4144368842"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">mface_reverse_video</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">リバースビデオフェース.  <a href="#gad67af3cfdfd7a80e67ba7d70674d1d2b"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">mface_underline</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">下線フェース.  <a href="#gac8125083ae3f99f61ad3e1590c71d8b3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">mface_medium</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ミディアムフェース.  <a href="#gaf72a0b0f8b7b55ac6cd964e5b790957d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">mface_bold</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ボールドフェース.  <a href="#ga0df472269e69bfd1a7982e7ff4183399"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">mface_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">イタリックフェース.  <a href="#gacd10c2f30a5e48c509cb5b3883392f6c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">mface_bold_italic</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">ボールドイタリックフェース.  <a href="#ga5d704867552bb8ec683667c414a1960f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">mface_xx_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">最小のフェース.  <a href="#ga2b3db59701b640f46154835473f4033c"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">mface_x_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">より小さいフェース.  <a href="#ga8a766181eaa65b4c7346598ef7a3b87a"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">mface_small</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">小さいフェース.  <a href="#gacfd385bdf0694027519083543fb44ea7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">mface_normalsize</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">標準の大きさのフェース.  <a href="#gaf72155c34c65f7060f8437d11091b78d"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">mface_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">大きいフェース.  <a href="#gabbaeffa03c89e6816aeeb297bf5e7f25"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">mface_x_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">もっと大きいフェース.  <a href="#ga783f8190b9508c6942fa5cd7eed94f6f"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">mface_xx_large</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">最大のフェース.  <a href="#gab0438da79ed1ab3b4fc2a298f09151cc"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">mface_black</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">黒フェース.  <a href="#ga543d0f7aaf8c6928fe0ccaafd880fbbb"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">mface_white</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">白フェース.  <a href="#ga0e85607d4a72fb0092924130206dbf70"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">mface_red</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">赤フェース.  <a href="#gaf5a2e1502310dab37917e345d6f98bb1"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">mface_green</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">緑フェース.  <a href="#ga4fa43459206e1b3278aff593ace876f3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">mface_blue</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">青フェース.  <a href="#ga34c0c7c3fb1761d860feafb20dca48d8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">mface_cyan</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">シアンフェース.  <a href="#ga4bc98951d16a82de13639aa8c8013896"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">mface_yellow</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">黄フェース.  <a href="#ga23cd00ce0804f3e64d8cf3b245a58dac"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">mface_magenta</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">マゼンタフェース.  <a href="#gabbd1e5c77c470ba79b2df149ea6c9342"></a><br/></td></tr>
<tr><td colspan="2"><h2>変数: フェースを取り扱うためのその他のシンボル</h2></td></tr>
<tr><td colspan="2"><p><a class="anchor" id="amgrp76d6153700781a952a68a8e96aa7e833"></a> </p>
<br/><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">Mface</a></td></tr>
<tr><td class="mdescLeft">&nbsp;</td><td class="mdescRight">フェースを指定するテキストプロパティのキー.  <a href="#ga0d38a942d019c7cc235258e73fa42789"></a><br/></td></tr>
</table>
<hr/><a name="_details"></a><h2>説明</h2>
<p>フェースとは、M-text の見栄えを制御するオブジェクトである. </p>
<p><em>フェース</em> は <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="フェースの型宣言.">MFace</a> 型のオブジェクトであり、M-text の表示方法を制御する。フェースは固定個の <em>フェースプロパティ</em> を持つ。 他のプロパティ同様フェースプロパティはキーと値からなり、キーは以下のシンボルのいずれかである。</p>
<p><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a>, <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="背景色を指定するためのフェースプロパティーのキー.">Mbackground</a>, <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="ビデオモードを指定するためのフェースプロパティーのキー...">Mvideomode</a>, <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="水平線を指定するためのフェースプロパティーのキー.">Mhline</a>, <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="囲み枠を指定するためのフェースプロパティーのキー.">Mbox</a>, <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="開発元を指定するフォントプロパティのキー.">Mfoundry</a>, <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="ファミリを指定するフォントプロパティのキー.">Mfamily</a>, <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="太さを指定するフォントプロパティのキー.">Mweight</a>, <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="スタイルを指定するフォントプロパティのキー.">Mstyle</a>, <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07" title="幅を指定するフォントプロパティのキー.">Mstretch</a>, <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9" title="adstyle を指定するフォントプロパティのキー.">Madstyle</a>, <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="サイズを指定するフォントプロパティのキー.">Msize</a>, <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="フォントセットを指定するためのフェースプロパティーのキー...">Mfontset</a>, <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a>, <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="フックを指定するためのフェースプロパティーのキー.">Mhook_func</a>, <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="フックの引数を指定するためのフェースプロパティーのキー...">Mhook_arg</a></p>
<p>「フェース F のフェースプロパティのうちキーが <code>Mxxx</code> であるもの」のことを簡単に「F の xxx プロパティ」と呼ぶことがある。</p>
<p>M-text の表示関数は、まず最初にその M-text からキーがシンボル <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="フェースを指定するテキストプロパティのキー.">Mface</a> であるようなテキストプロパティを探し、次にその値に従って M-text を表示する。この値はフェースオブジェクトへのポインタでなければならない。</p>
<p>M-text が、<a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="フェースを指定するテキストプロパティのキー.">Mface</a> をキーとするテキストプロパティを複数持っており、かつそれらの値が衝突しないならば、フェース情報は組み合わされて用いられる。</p>
<p>あるテキスト属性がどのフェースによっても指定されていない場合は、デフォルトフェースの値が用いられる。 </p>
<hr/><h2>型定義</h2>
<a class="anchor" id="gad9e913e845df8db71f448e3aca2b83b5"></a><!-- doxytag: member="m17n&#45;gui.h::MFace" ref="gad9e913e845df8db71f448e3aca2b83b5" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef struct <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースの型宣言. </p>
<p><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="フェースの型宣言.">MFace</a> 型はフェースオブジェクトのための構造体である。 内部構造はアプリケーションプログラムからは見えない。 </p>

</div>
</div>
<a class="anchor" id="gac80758b8f49b50d0a828163524edf337"></a><!-- doxytag: member="m17n&#45;gui.h::MFaceHookFunc" ref="gac80758b8f49b50d0a828163524edf337" args=")(MFace *face, void *arg, void *info)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">typedef void(* <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>)(<a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *face, void *arg, void *info)</td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースのフック関数の型宣言. </p>
<p><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337" title="フェースのフック関数の型宣言.">MFaceHookFunc</a> はフェースのフック関数の型である。 </p>

</div>
</div>
<hr/><h2>関数</h2>
<a class="anchor" id="ga8733c479f4efa8f8d006c13ee4253f5e"></a><!-- doxytag: member="face.c::mface" ref="ga8733c479f4efa8f8d006c13ee4253f5e" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface </td>
          <td>(</td>
          <td class="paramname"></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>新しいフェースをつくる. </p>
<p>関数 <a class="el" href="group__m17nFace.html#ga8733c479f4efa8f8d006c13ee4253f5e" title="新しいフェースをつくる.">mface()</a> はプロパティを一切持たない新しいフェースオブジェクトを作る。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は作ったフェースへのポインタを返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="ga218d370d5bc476d5a6fba4633ad69d0a"></a><!-- doxytag: member="face.c::mface_copy" ref="ga218d370d5bc476d5a6fba4633ad69d0a" args="(MFace *face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface_copy </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースのコピーを作る. </p>
<p>関数 <a class="el" href="group__m17nFace.html#ga218d370d5bc476d5a6fba4633ad69d0a" title="フェースのコピーを作る.">mface_copy()</a> はフェース <b>face</b> のコピーを作り、そのコピーへのポインタを返す。 </p>

</div>
</div>
<a class="anchor" id="ga112cbaf7a88f3557cd32797819c350e2"></a><!-- doxytag: member="face.c::mface_equal" ref="ga112cbaf7a88f3557cd32797819c350e2" args="(MFace *face1, MFace *face2)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mface_equal </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face1</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face2</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga53437ed4392e313491cdd7d2cbfd5d98"></a><!-- doxytag: member="face.c::mface_merge" ref="ga53437ed4392e313491cdd7d2cbfd5d98" args="(MFace *dst, MFace *src)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface_merge </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>dst</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>src</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースを統合する. </p>
<p>関数 <a class="el" href="group__m17nFace.html#ga53437ed4392e313491cdd7d2cbfd5d98" title="フェースを統合する.">mface_merge()</a> は、フェース <b>src</b> のプロパティをフェース <b>dst</b> に統合する。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>この関数は <b>dst</b> を返す。 </dd></dl>

</div>
</div>
<a class="anchor" id="gafe62e34ba63c1230ff9243f1bfb075a3"></a><!-- doxytag: member="face.c::mface_from_font" ref="gafe62e34ba63c1230ff9243f1bfb075a3" args="(MFont *font)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* mface_from_font </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFont.html#gace14a93b58bd3cd143f267101f805b9d">MFont</a> *&nbsp;</td>
          <td class="paramname"> <em>font</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントからフェースを作る. </p>
<p>関数 <a class="el" href="group__m17nFace.html#gafe62e34ba63c1230ff9243f1bfb075a3" title="フォントからフェースを作る.">mface_from_font()</a> はフォント <b>font</b> のプロパティをプロパティとして持つ新しいフェースを作り、それを返す。 </p>

</div>
</div>
<a class="anchor" id="gad2ef5c2ddbef0dfded0c572653c92972"></a><!-- doxytag: member="face.c::mface_get_prop" ref="gad2ef5c2ddbef0dfded0c572653c92972" args="(MFace *face, MSymbol key)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void* mface_get_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースのプロパティの値を得る. </p>
<p>関数 <a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972" title="フェースのプロパティの値を得る.">mface_get_prop()</a> は、フェース <b>face</b> が持つフェースプロパティの内、キーが <b>key</b> であるものの値を返す。 <b>key</b> は下記のいずれかでなければならない。</p>
<p><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a>, <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="背景色を指定するためのフェースプロパティーのキー.">Mbackground</a>, <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="ビデオモードを指定するためのフェースプロパティーのキー...">Mvideomode</a>, <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="水平線を指定するためのフェースプロパティーのキー.">Mhline</a>, <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="囲み枠を指定するためのフェースプロパティーのキー.">Mbox</a>, <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="開発元を指定するフォントプロパティのキー.">Mfoundry</a>, <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="ファミリを指定するフォントプロパティのキー.">Mfamily</a>, <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="太さを指定するフォントプロパティのキー.">Mweight</a>, <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="スタイルを指定するフォントプロパティのキー.">Mstyle</a>, <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07" title="幅を指定するフォントプロパティのキー.">Mstretch</a>, <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9" title="adstyle を指定するフォントプロパティのキー.">Madstyle</a>, <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="サイズを指定するフォントプロパティのキー.">Msize</a>, <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="フォントセットを指定するためのフェースプロパティーのキー...">Mfontset</a>, <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a>, <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="フックの引数を指定するためのフェースプロパティーのキー...">Mhook_arg</a></p>
<dl class="user"><dt><b>戻り値: </b></dt><dd>戻り値の型は <b>key</b> に依存する。上記のキーの説明を参照すること。 エラーが検出された場合は <code>NULL</code> を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34" title="フェースプロパティの値を設定する.">mface_put_prop()</a>, <a class="el" href="group__m17nFace.html#ga77281fe20f450bf635676ece8e8c83da" title="フェースのフック関数を設定する.">mface_put_hook()</a></dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_FACE</code> </dd></dl>

</div>
</div>
<a class="anchor" id="ga7411a88b5acc10b19448e031991c9056"></a><!-- doxytag: member="face.c::mface_get_hook" ref="ga7411a88b5acc10b19448e031991c9056" args="(MFace *face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a> mface_get_hook </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em></td>
          <td>&nbsp;)&nbsp;</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースのフック関数を得る. </p>
<p>関数 <a class="el" href="group__m17nFace.html#ga7411a88b5acc10b19448e031991c9056" title="フェースのフック関数を得る.">mface_get_hook()</a> はフェース <b>face</b> のフック関数を返す。 </p>

</div>
</div>
<a class="anchor" id="gab139e1dbaaba45a8d8d6acbdda076f34"></a><!-- doxytag: member="face.c::mface_put_prop" ref="gab139e1dbaaba45a8d8d6acbdda076f34" args="(MFace *face, MSymbol key, void *val)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mface_put_prop </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a>&nbsp;</td>
          <td class="paramname"> <em>key</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&nbsp;</td>
          <td class="paramname"> <em>val</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースプロパティの値を設定する. </p>
<p>関数 <a class="el" href="group__m17nFace.html#gab139e1dbaaba45a8d8d6acbdda076f34" title="フェースプロパティの値を設定する.">mface_put_prop()</a> は、フェース <b>face</b> 内でキーが <b>key</b> であるプロパティの値を <b>val</b> に設定する。<b>key</b> は以下のいずれかでなくてはならない。</p>
<p><a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a>, <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="背景色を指定するためのフェースプロパティーのキー.">Mbackground</a>, <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="ビデオモードを指定するためのフェースプロパティーのキー...">Mvideomode</a>, <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="水平線を指定するためのフェースプロパティーのキー.">Mhline</a>, <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="囲み枠を指定するためのフェースプロパティーのキー.">Mbox</a>, <a class="el" href="group__m17nFont.html#gaaf47ff596e3d9768b214a039014b6ea5" title="開発元を指定するフォントプロパティのキー.">Mfoundry</a>, <a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="ファミリを指定するフォントプロパティのキー.">Mfamily</a>, <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="太さを指定するフォントプロパティのキー.">Mweight</a>, <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="スタイルを指定するフォントプロパティのキー.">Mstyle</a>, <a class="el" href="group__m17nFont.html#ga9016e01983ec22fc8e1255629e337b07" title="幅を指定するフォントプロパティのキー.">Mstretch</a>, <a class="el" href="group__m17nFont.html#ga00bea74da7de4bf0b94de59f6b44d1e9" title="adstyle を指定するフォントプロパティのキー.">Madstyle</a>, <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="サイズを指定するフォントプロパティのキー.">Msize</a>, <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="フォントセットを指定するためのフェースプロパティーのキー...">Mfontset</a>, <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a>, <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="フックを指定するためのフェースプロパティーのキー.">Mhook_func</a>, <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="フックの引数を指定するためのフェースプロパティーのキー...">Mhook_arg</a>.</p>
<p>これらのうちの、フォント関連のプロパティ (<a class="el" href="group__m17nFont.html#gab297101760f7573ab33b846ccbda7500" title="ファミリを指定するフォントプロパティのキー.">Mfamily</a> から <a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="サイズを指定するフォントプロパティのキー.">Msize</a> まで) は、フェースのフォントセット中のフォントに関するデフォルト値となり、個々のフォントが値を指定しなかった場合に用いられる。</p>
<p>戻り値の型は <b>key</b> に依存する。上記のキーの説明を参照すること。</p>
<dl class="user"><dt><b>戻り値:</b></dt><dd>処理が成功した場合、mface_put_prop() は 0 を返す。失敗した場合は -1 を返し、外部変数 <a class="el" href="group__m17nError.html#ga995a2e373cfd6a8e5eaca8686b5b0a73" title="m17n ライブラリのエラーコードを保持する外部変数.">merror_code</a> にエラーコードを設定する。</dd></dl>
<dl class="user"><dt><b>参照:</b></dt><dd><a class="el" href="group__m17nFace.html#gad2ef5c2ddbef0dfded0c572653c92972" title="フェースのプロパティの値を得る.">mface_get_prop()</a></dd></dl>
<dl class="user"><dt><b>エラー:</b></dt><dd><code>MERROR_FACE</code> </dd></dl>

</div>
</div>
<a class="anchor" id="ga77281fe20f450bf635676ece8e8c83da"></a><!-- doxytag: member="face.c::mface_put_hook" ref="ga77281fe20f450bf635676ece8e8c83da" args="(MFace *face, MFaceHookFunc func)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int mface_put_hook </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337">MFaceHookFunc</a>&nbsp;</td>
          <td class="paramname"> <em>func</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースのフック関数を設定する. </p>
<p>関数 mface_set_hook() は、フェース <b>face</b> のフック関数を<b>func</b> に設 定する。 </p>

</div>
</div>
<a class="anchor" id="ga38119a4121db3158b5ee4b4b803d03a3"></a><!-- doxytag: member="face.c::mface_update" ref="ga38119a4121db3158b5ee4b4b803d03a3" args="(MFrame *frame, MFace *face)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void mface_update </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="group__m17nFrame.html#gabb36d3a69526a891ce7534bda63a2687">MFrame</a> *&nbsp;</td>
          <td class="paramname"> <em>frame</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a> *&nbsp;</td>
          <td class="paramname"> <em>face</em></td><td>&nbsp;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースを更新する. </p>
<p>関数 <a class="el" href="group__m17nFace.html#ga38119a4121db3158b5ee4b4b803d03a3" title="フェースを更新する.">mface_update()</a> はフレーム <b>frame</b> のフェース <b>face</b> を <b>face</b> のフック関数を（あれば）呼んで更新する。 </p>

</div>
</div>
<hr/><h2>変数</h2>
<a class="anchor" id="ga524cecd96f1bdf2a46e52d2eb0acfa2f"></a><!-- doxytag: member="face.c::Mforeground" ref="ga524cecd96f1bdf2a46e52d2eb0acfa2f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f">Mforeground</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>前景色を指定するフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> はフェースプロパティのキーとして用いられる。 プロパティの値は、色名を名前として持つシンボルか <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> である。</p>
<p><a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> の場合、前景色は指定されない。そうでなければ M-text の前景は指定された色で表示される。 </p>

</div>
</div>
<a class="anchor" id="ga8d0f5054c5128d0369d8147cda7f53ca"></a><!-- doxytag: member="face.c::Mbackground" ref="ga8d0f5054c5128d0369d8147cda7f53ca" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca">Mbackground</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>背景色を指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga8d0f5054c5128d0369d8147cda7f53ca" title="背景色を指定するためのフェースプロパティーのキー.">Mbackground</a> はフェースプロパティのキーとして用いられる。 プロパティの値は、色名を名前として持つシンボルか <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> である。</p>
<p><a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> の場合、背景色は指定されない。そうでなければ M-text の背景は指定された色で表示される。 </p>

</div>
</div>
<a class="anchor" id="gae9e765bef0214640bf23843d1d813f5a"></a><!-- doxytag: member="face.c::Mvideomode" ref="gae9e765bef0214640bf23843d1d813f5a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a">Mvideomode</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ビデオモードを指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="ビデオモードを指定するためのフェースプロパティーのキー...">Mvideomode</a> はフェースプロパティのキーとして用いられる。プロパティの値は、 <b>Mnormal</b>, <b>Mreverse</b>, <a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> のいずれかでなくてはならない。</p>
<p><b>Mnormal</b> の場合は、M-text を標準のビデオモード（前景を前景色で、背景を背景色で）で表示する。</p>
<p><b>Mreverse</b> の場合はリバースビデオモードで（前景を背景色で、背景を前景色で）表示する。</p>
<p><a class="el" href="group__m17nSymbol.html#ga0346fc05efcccc8f11271b51c0fe3eeb" title="&quot;nil&quot; を名前として持つシンボル.">Mnil</a> の場合はビデオモードは指定されない。 </p>

</div>
</div>
<a class="anchor" id="gafadda6b4709e04968e70e85a542f240c"></a><!-- doxytag: member="face.c::Mratio" ref="gafadda6b4709e04968e70e85a542f240c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c">Mratio</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントのサイズの比率を指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> はフェースプロパティのキーとして用いられる。値 RATIO は整数値でなくてはならない。</p>
<p>値が0ならば、フォントサイズは指定されない。そうでなければ、M-text は(FONTSIZE * RATIO / 100) というサイズのフォントで表示される。 FONTSIZE はフェースプロパティー<a class="el" href="group__m17nFont.html#ga072ce0799f7766597e4d3028b70fef60" title="サイズを指定するフォントプロパティのキー.">Msize</a> で指定されたサイズである。 </p>

</div>
</div>
<a class="anchor" id="ga4b54f64d7e2b6c7cae17ba7041855543"></a><!-- doxytag: member="face.c::Mhline" ref="ga4b54f64d7e2b6c7cae17ba7041855543" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543">Mhline</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>水平線を指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="水平線を指定するためのフェースプロパティーのキー.">Mhline</a> はフェースプロパティのキーとして用いられる。値は <a class="el" href="structMFaceHLineProp.html" title="フェースの水平線指定用型宣言.">MFaceHLineProp</a> 型オブジェクトへのポインタか <code>NULL</code> でなくてはならない。</p>
<p>値が <code>NULL</code> ならば、このプロパティは指定されない。 そうでなければ値が指すオブジェクトに指定されたように水平線を付加して M-text を表示する。 </p>

</div>
</div>
<a class="anchor" id="gaef4de28536a14fa67b45d4adc9c03d0f"></a><!-- doxytag: member="face.c::Mbox" ref="gaef4de28536a14fa67b45d4adc9c03d0f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f">Mbox</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>囲み枠を指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gaef4de28536a14fa67b45d4adc9c03d0f" title="囲み枠を指定するためのフェースプロパティーのキー.">Mbox</a> はフェースプロパティのキーとして用いられる。値は <a class="el" href="structMFaceBoxProp.html" title="フェースの囲み枠指定用型宣言.">MFaceBoxProp</a> 型オブジェクトへのポインタか <code>NULL</code> でなくてはならない。</p>
<p>値が <code>NULL</code> ならば、このフェースは囲み枠を指定していない。 そうでなければ値が指すオブジェクトに指定されたように囲み枠を付加して M-text を表示する。 </p>

</div>
</div>
<a class="anchor" id="gaaacb68d5b559f01e985854bd375dda5f"></a><!-- doxytag: member="face.c::Mfontset" ref="gaaacb68d5b559f01e985854bd375dda5f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f">Mfontset</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フォントセットを指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="フォントセットを指定するためのフェースプロパティーのキー...">Mfontset</a> はフェースプロパティのキーとして用いられる。値は <a class="el" href="group__m17nFace.html#gaaacb68d5b559f01e985854bd375dda5f" title="フォントセットを指定するためのフェースプロパティーのキー...">Mfontset</a> 型オブジェクトへのポインタか <code>NULL</code> でなくてはならない。</p>
<p>値が <code>NULL</code> ならば、フォントセットは指定されていない。 そうでなければ値が指すオブジェクトに指定されたフォントセットから選んだフォントで M-text を表示する。 </p>

</div>
</div>
<a class="anchor" id="ga2067c84250b6d4e3d2d1488b6f09f227"></a><!-- doxytag: member="face.c::Mhook_func" ref="ga2067c84250b6d4e3d2d1488b6f09f227" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227">Mhook_func</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フックを指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="フックを指定するためのフェースプロパティーのキー.">Mhook_func</a> はフェースプロパティのキーとして用いられる。値は <a class="el" href="group__m17nFace.html#gac80758b8f49b50d0a828163524edf337" title="フェースのフック関数の型宣言.">MFaceHookFunc</a> 型の関数か <code>NULL</code> でなくてはならない。</p>
<p>値が <code>NULL</code> ならば、フックは指定されていない。 そうでなければフェースを実現する前に指定された関数が呼ばれる。 </p>

</div>
</div>
<a class="anchor" id="ga7b90084ad168aaab28bb22b242a4c684"></a><!-- doxytag: member="face.c::Mhook_arg" ref="ga7b90084ad168aaab28bb22b242a4c684" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684">Mhook_arg</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フックの引数を指定するためのフェースプロパティーのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga7b90084ad168aaab28bb22b242a4c684" title="フックの引数を指定するためのフェースプロパティーのキー...">Mhook_arg</a> はフェースプロパティのキーとして用いられる。 値は何でもよく、フェースプロパティ <a class="el" href="group__m17nFace.html#ga2067c84250b6d4e3d2d1488b6f09f227" title="フックを指定するためのフェースプロパティーのキー.">Mhook_func</a> で指定される関数に渡される。 </p>

</div>
</div>
<a class="anchor" id="gac640438a418e8fea7bb85acaf72439c2"></a><!-- doxytag: member="face.c::Mnormal" ref="gac640438a418e8fea7bb85acaf72439c2" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#gac640438a418e8fea7bb85acaf72439c2">Mnormal</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga243e73adf0d31fe7497262c5b8a19c16"></a><!-- doxytag: member="face.c::Mreverse" ref="ga243e73adf0d31fe7497262c5b8a19c16" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga243e73adf0d31fe7497262c5b8a19c16">Mreverse</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ga823bc052a591dc3f34369d4144368842"></a><!-- doxytag: member="face.c::mface_normal_video" ref="ga823bc052a591dc3f34369d4144368842" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842">mface_normal_video</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>標準ビデオフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga823bc052a591dc3f34369d4144368842" title="標準ビデオフェース.">mface_normal_video</a> は <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="ビデオモードを指定するためのフェースプロパティーのキー...">Mvideomode</a> プロパティの値が <b>Mnormal</b> であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースで表示されるM-text は標準の色 (すなわち前景は前景色、背景は背景色）で描かれる。 </p>

</div>
</div>
<a class="anchor" id="gad67af3cfdfd7a80e67ba7d70674d1d2b"></a><!-- doxytag: member="face.c::mface_reverse_video" ref="gad67af3cfdfd7a80e67ba7d70674d1d2b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b">mface_reverse_video</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>リバースビデオフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gad67af3cfdfd7a80e67ba7d70674d1d2b" title="リバースビデオフェース.">mface_reverse_video</a> は <a class="el" href="group__m17nFace.html#gae9e765bef0214640bf23843d1d813f5a" title="ビデオモードを指定するためのフェースプロパティーのキー...">Mvideomode</a> プロパティの値が <b>Mreverse</b> であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースで表示されるM-text は前景色と背景色が入れ替わって (すなわち前景は背景色、背景は前景色）描かれる。 </p>

</div>
</div>
<a class="anchor" id="gac8125083ae3f99f61ad3e1590c71d8b3"></a><!-- doxytag: member="face.c::mface_underline" ref="gac8125083ae3f99f61ad3e1590c71d8b3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3">mface_underline</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>下線フェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gac8125083ae3f99f61ad3e1590c71d8b3" title="下線フェース.">mface_underline</a> は <a class="el" href="group__m17nFace.html#ga4b54f64d7e2b6c7cae17ba7041855543" title="水平線を指定するためのフェースプロパティーのキー.">Mhline</a> プロパテイの値が <a class="el" href="structMFaceHLineProp.html" title="フェースの水平線指定用型宣言.">MFaceHLineProp</a> 型オブジェクトへのポインタであるフェースを指すポインタである。オブジェクトのメンバは以下の通り。</p>
<div class="fragment"><pre class="fragment">
    メンバ  値
    -----   -----
    type    MFACE_HLINE_UNDER
    width   1
    color   Mnil
</pre></div><p>他のプロパティは指定されない。このフェースを持つ M-text は下線付きで表示される。 </p>

</div>
</div>
<a class="anchor" id="gaf72a0b0f8b7b55ac6cd964e5b790957d"></a><!-- doxytag: member="face.c::mface_medium" ref="gaf72a0b0f8b7b55ac6cd964e5b790957d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d">mface_medium</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ミディアムフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gaf72a0b0f8b7b55ac6cd964e5b790957d" title="ミディアムフェース.">mface_medium</a> は <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="太さを指定するフォントプロパティのキー.">Mweight</a> プロパテイの値が "medium" という名前をもつシンボルであるようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は、ミディアムウェイトのフォントで表示される。 </p>

</div>
</div>
<a class="anchor" id="ga0df472269e69bfd1a7982e7ff4183399"></a><!-- doxytag: member="face.c::mface_bold" ref="ga0df472269e69bfd1a7982e7ff4183399" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399">mface_bold</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ボールドフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga0df472269e69bfd1a7982e7ff4183399" title="ボールドフェース.">mface_bold</a> は <a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="太さを指定するフォントプロパティのキー.">Mweight</a> プロパテイの値が "bold" という名前をもつシンボルであるようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は、ボールドフォントで表示される。 </p>

</div>
</div>
<a class="anchor" id="gacd10c2f30a5e48c509cb5b3883392f6c"></a><!-- doxytag: member="face.c::mface_italic" ref="gacd10c2f30a5e48c509cb5b3883392f6c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c">mface_italic</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>イタリックフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gacd10c2f30a5e48c509cb5b3883392f6c" title="イタリックフェース.">mface_italic</a> は <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="スタイルを指定するフォントプロパティのキー.">Mstyle</a> プロパテイの値が "italic" という名前をもつシンボルであるようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は、イタリック体で表示される。 </p>

</div>
</div>
<a class="anchor" id="ga5d704867552bb8ec683667c414a1960f"></a><!-- doxytag: member="face.c::mface_bold_italic" ref="ga5d704867552bb8ec683667c414a1960f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f">mface_bold_italic</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>ボールドイタリックフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga5d704867552bb8ec683667c414a1960f" title="ボールドイタリックフェース.">mface_bold_italic</a> は、<a class="el" href="group__m17nFont.html#ga748212149a23eda2e6225ed121305308" title="太さを指定するフォントプロパティのキー.">Mweight</a> プロパテイの値が "bold" という名前をもつシンボルであり、かつ <a class="el" href="group__m17nFont.html#ga4a3a457f1c52fb783809b94366a34d86" title="スタイルを指定するフォントプロパティのキー.">Mstyle</a> プロパテイの値が "italic" という名前をもつシンボルであるようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は、ボールドイタリック体で表示される。 </p>

</div>
</div>
<a class="anchor" id="ga2b3db59701b640f46154835473f4033c"></a><!-- doxytag: member="face.c::mface_xx_small" ref="ga2b3db59701b640f46154835473f4033c" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c">mface_xx_small</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>最小のフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga2b3db59701b640f46154835473f4033c" title="最小のフェース.">mface_xx_small</a> は、<a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> プロパティの値が 50 であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースを持つ M-text は標準フォントの 50% の大きさのフォントを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga8a766181eaa65b4c7346598ef7a3b87a"></a><!-- doxytag: member="face.c::mface_x_small" ref="ga8a766181eaa65b4c7346598ef7a3b87a" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a">mface_x_small</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>より小さいフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga8a766181eaa65b4c7346598ef7a3b87a" title="より小さいフェース.">mface_x_small</a> は、<a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> プロパティの値が 66 であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースを持つ M-text は標準フォントの 66% の大きさのフォントを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="gacfd385bdf0694027519083543fb44ea7"></a><!-- doxytag: member="face.c::mface_small" ref="gacfd385bdf0694027519083543fb44ea7" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7">mface_small</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>小さいフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gacfd385bdf0694027519083543fb44ea7" title="小さいフェース.">mface_small</a> は、<a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> プロパティの値が 75 であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースを持つ M-text は標準フォントの 75% の大きさのフォントを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="gaf72155c34c65f7060f8437d11091b78d"></a><!-- doxytag: member="face.c::mface_normalsize" ref="gaf72155c34c65f7060f8437d11091b78d" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d">mface_normalsize</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>標準の大きさのフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gaf72155c34c65f7060f8437d11091b78d" title="標準の大きさのフェース.">mface_normalsize</a> は、<a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> プロパティの値が 100 であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースを持つ M-text は標準フォントと同じ大きさのフォントを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="gabbaeffa03c89e6816aeeb297bf5e7f25"></a><!-- doxytag: member="face.c::mface_large" ref="gabbaeffa03c89e6816aeeb297bf5e7f25" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25">mface_large</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>大きいフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gabbaeffa03c89e6816aeeb297bf5e7f25" title="大きいフェース.">mface_large</a> は、<a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> プロパティの値が 120 であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースを持つ M-text は標準フォントの 120% の大きさのフォントを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga783f8190b9508c6942fa5cd7eed94f6f"></a><!-- doxytag: member="face.c::mface_x_large" ref="ga783f8190b9508c6942fa5cd7eed94f6f" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f">mface_x_large</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>もっと大きいフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga783f8190b9508c6942fa5cd7eed94f6f" title="もっと大きいフェース.">mface_x_large</a> は、<a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> プロパティの値が 150 であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースを持つ M-text は標準フォントの 150% の大きさのフォントを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="gab0438da79ed1ab3b4fc2a298f09151cc"></a><!-- doxytag: member="face.c::mface_xx_large" ref="gab0438da79ed1ab3b4fc2a298f09151cc" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc">mface_xx_large</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>最大のフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gab0438da79ed1ab3b4fc2a298f09151cc" title="最大のフェース.">mface_xx_large</a> は、<a class="el" href="group__m17nFace.html#gafadda6b4709e04968e70e85a542f240c" title="フォントのサイズの比率を指定するためのフェースプロパティーのキー...">Mratio</a> プロパティの値が 200 であるフェースを指すポインタである。他のプロパティは指定されない。 このフェースを持つ M-text は標準フォントの 200% の大きさのフォントを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga543d0f7aaf8c6928fe0ccaafd880fbbb"></a><!-- doxytag: member="face.c::mface_black" ref="ga543d0f7aaf8c6928fe0ccaafd880fbbb" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb">mface_black</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>黒フェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga543d0f7aaf8c6928fe0ccaafd880fbbb" title="黒フェース.">mface_black</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "black" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色として黒を用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga0e85607d4a72fb0092924130206dbf70"></a><!-- doxytag: member="face.c::mface_white" ref="ga0e85607d4a72fb0092924130206dbf70" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70">mface_white</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>白フェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga0e85607d4a72fb0092924130206dbf70" title="白フェース.">mface_white</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "white" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色として白を用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="gaf5a2e1502310dab37917e345d6f98bb1"></a><!-- doxytag: member="face.c::mface_red" ref="gaf5a2e1502310dab37917e345d6f98bb1" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1">mface_red</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>赤フェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gaf5a2e1502310dab37917e345d6f98bb1" title="赤フェース.">mface_red</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "red" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色として赤を用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga4fa43459206e1b3278aff593ace876f3"></a><!-- doxytag: member="face.c::mface_green" ref="ga4fa43459206e1b3278aff593ace876f3" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3">mface_green</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>緑フェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga4fa43459206e1b3278aff593ace876f3" title="緑フェース.">mface_green</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "green" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色として緑を用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga34c0c7c3fb1761d860feafb20dca48d8"></a><!-- doxytag: member="face.c::mface_blue" ref="ga34c0c7c3fb1761d860feafb20dca48d8" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8">mface_blue</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>青フェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga34c0c7c3fb1761d860feafb20dca48d8" title="青フェース.">mface_blue</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "blue" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色として青を用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga4bc98951d16a82de13639aa8c8013896"></a><!-- doxytag: member="face.c::mface_cyan" ref="ga4bc98951d16a82de13639aa8c8013896" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896">mface_cyan</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>シアンフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga4bc98951d16a82de13639aa8c8013896" title="シアンフェース.">mface_cyan</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "cyan" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色としてシアンを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga23cd00ce0804f3e64d8cf3b245a58dac"></a><!-- doxytag: member="face.c::mface_yellow" ref="ga23cd00ce0804f3e64d8cf3b245a58dac" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac">mface_yellow</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>黄フェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga23cd00ce0804f3e64d8cf3b245a58dac" title="黄フェース.">mface_yellow</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "yellow" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色として黄色を用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="gabbd1e5c77c470ba79b2df149ea6c9342"></a><!-- doxytag: member="face.c::mface_magenta" ref="gabbd1e5c77c470ba79b2df149ea6c9342" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5">MFace</a>* <a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342">mface_magenta</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>マゼンタフェース. </p>
<p>変数 <a class="el" href="group__m17nFace.html#gabbd1e5c77c470ba79b2df149ea6c9342" title="マゼンタフェース.">mface_magenta</a> は、<a class="el" href="group__m17nFace.html#ga524cecd96f1bdf2a46e52d2eb0acfa2f" title="前景色を指定するフェースプロパティーのキー.">Mforeground</a> プロパティの値として "magenta" という名前のシンボルを持つようなフェースを指すポインタである。 他のプロパティは指定されない。このフェースを持つ M-text は前景色としてマゼンタを用いて表示される。 </p>

</div>
</div>
<a class="anchor" id="ga0d38a942d019c7cc235258e73fa42789"></a><!-- doxytag: member="face.c::Mface" ref="ga0d38a942d019c7cc235258e73fa42789" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="group__m17nSymbol.html#ga0f53a95817f0b5c26442f8e12f89c16d">MSymbol</a> <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789">Mface</a></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>フェースを指定するテキストプロパティのキー. </p>
<p>変数 <a class="el" href="group__m17nFace.html#ga0d38a942d019c7cc235258e73fa42789" title="フェースを指定するテキストプロパティのキー.">Mface</a> は <code>"face"</code> という名前を持つシンボルである。このシンボルをキーとするテキストプロパティは、 <a class="el" href="group__m17nFace.html#gad9e913e845df8db71f448e3aca2b83b5" title="フェースの型宣言.">MFace</a> 型のオブジェクトへのポインタを持たなければならない。 これは管理キーである。 </p>

</div>
</div>
</div>
<!--- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&nbsp;</span>全て</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&nbsp;</span>データ構造</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&nbsp;</span>ファイル</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(3)"><span class="SelectionMark">&nbsp;</span>関数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(4)"><span class="SelectionMark">&nbsp;</span>変数</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(5)"><span class="SelectionMark">&nbsp;</span>型定義</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(6)"><span class="SelectionMark">&nbsp;</span>列挙型</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(7)"><span class="SelectionMark">&nbsp;</span>列挙型の値</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(8)"><span class="SelectionMark">&nbsp;</span>マクロ定義</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<!-- -*- coding: utf-8; -*- -->
<hr>

<ADDRESS>
<a href="http://www.m17n.org/m17n-lib-ja/index.html" target="mulewindow"><img src="parrot.png" align=bottom alt="m17n-lib Home" border=0></a>
</ADDRESS>
</body>
</HTML>

<!-- Copyright information

Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2011
  National Institute of Advanced Industrial Science and Technology (AIST)

This file is part of the m17n library documentation.

Permission is granted to copy, distribute and/or modify this document
under the terms of the GNU Free Documentation License, Version 1.2 or
any later version published by the Free Software Foundation; with no
Invariant Section, no Front-Cover Texts,
and no Back-Cover Texts.  A copy of the license is included in the
appendix entitled "GNU Free Documentation License".
-->
